Subject: More related to "Which country is considered to have the best fighter pilots in the world?"
From: Quora <[email-masked]>
To: [email-masked]
Date: Thu, 30 Jul 2020 10:26:55 +0000

Stories from your activity

-----

Question: Who has the best military pilots in the world: Israel or the United States?

Answer from James Dewar

A rather presumptuous and inaccurately stated question. The RAF are better than Israel air forces because they are more capable and experienced in a wider arena — indeed in ev
Read More: https://www.quora.com/Who-has-the-best-military-pilots-in-the-world-Israel-or-the-United-States?top_ans=38360518
-----
Question: Which country has the best fighter pilots in 2020?

Answer from Mark Jeffrey

It’s almost always true that the best pilots are the ones with the most recent actual experience of real combat. On that basis, try to think of countries which have been engag
Read More: https://www.quora.com/Which-country-has-the-best-fighter-pilots-in-2020?top_ans=217551726
-----
Question: Which country has the world's "best" air force and why, generally? Which country would be 2nd? Which country is the best specifically regarding: stealth, payload, size, weapons systems, national defense, timeliness?

Answer from Someone anonymous

Probably the USAF, but possibly the British RAF.

The two countries are pretty much joined at the hip, and a programme of officer exchange that doesn't exist between any other
Read More: https://www.quora.com/Which-country-has-the-worlds-best-air-force-and-why-generally-Which-country-would-be-2nd-Which-country-is-the-best-specifically-regarding-stealth-payload-size-weapons-systems-national-defense-timeliness?top_ans=2200103
-----
Question: Who is the best fighter pilot in the world today?

Answer from Chin Sau Yong

My nominee would be the late John Boyd.
​

While the question seems to be asking for present-day pilots, John Boyd's career and contributions to fighter tactics deserves speci
Read More: https://www.quora.com/Who-is-the-best-fighter-pilot-in-the-world-today?top_ans=19549430
-----
Question: Which country has the best fighter pilots, with the best operational results?

Answer from Travis Brannon

I flew fighters (F-4, F/A-18) and was an adversary pilot (mostly A-4E’s) in the mid-70’s until 1982. I went to Topgun in ‘78. My knowledge during this time allowed me to form 
Read More: https://www.quora.com/Which-country-has-the-best-fighter-pilots-with-the-best-operational-results?top_ans=155169125
-----
Question: Which is the most dangerous fighter jet in the world?

Answer from Siddharth Mishra

Undoubtedly….F-22 Raptor is most deadliest fighter in world in this course of time…but still my heart beats for French Mirage-2000.Mirage 2000 is sexy beast,lethaly agile and 
Read More: https://www.quora.com/Which-is-the-most-dangerous-fighter-jet-in-the-world?top_ans=40911210
-----
Question: Which is the mightiest fighter jet that the world has ever seen?

Answer from Steve Miller

This question is better asked in terms of the era in which it flew in combat, how well it did its job in that era, what was its overall impact to warfighting in the era, and h
Read More: https://www.quora.com/Which-is-the-mightiest-fighter-jet-that-the-world-has-ever-seen?top_ans=17182560
-----
Question: How many F-35s would it take to defeat the entire Chinese airforce?

Answer from Devon Stavrowsky

In the Iran/Iraq War, Iraqi pilots and ground controllers learned in relatively short order that it didn’t matter how many planes they sent up in a combat formation… or to a g
Read More: https://www.quora.com/How-many-F-35s-would-it-take-to-defeat-the-entire-Chinese-airforce?top_ans=118666387
-----
Question: When fighter pilots take off, do they use afterburners? Does it matter if it's a carrier or runway, or in a training or an actual scramble? What about the airframe?

Answer from Wesley Tubman

I am a USAF F-16 Pilot. I took off in afterburner today, and I can tell you that I will do the same for both of my missions tomorrow. The practical decision for us is governed
Read More: https://www.quora.com/When-fighter-pilots-take-off-do-they-use-afterburners-Does-it-matter-if-its-a-carrier-or-runway-or-in-a-training-or-an-actual-scramble-What-about-the-airframe?top_ans=16257498
-----
Question: Is the Israeli Air Force the best air force in the world?

Answer from Noam Kaiser

The Israeli Air Force is without a doubt positioned in the forefront of the top four Air forces in the world, Pilot skill wise and equipment wise, alongside the American, Russ
Read More: https://www.quora.com/Is-the-Israeli-Air-Force-the-best-air-force-in-the-world?top_ans=28271025
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1596104814375176&et=130&id=df246d304f7d429aa4d62c49aabf764c&source&src=1&st=1596104814379999&stories=1_LXTNxeloCJd%7C1_MQ0Ovj22Mru%7C1_3DJV9aocZha%7C1_VMjInef15eQ%7C1_aEYx00G4o11%7C1_M9HgH5lcdpi%7C1_aRxx5Jl022m%7C1_1WIiV9eq9FT%7C1_YTusgRAhxcq%7C1_Rq18nuuPpN6&ty&ty_data&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: https://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=df246d304f7d429aa4d62c49aabf764c&t=1596104814594481&token=60cd52a31c0ca94a5054a8826e850a22a3245cf7d195ac1b0a5ecae23952c0b922ee31d6d09af2c4ef6f742593b0d6b9e1cd01e3cf346ef63cd93f4a76b58bfe&type=130&uid=1229773278